<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>MBKM</title>
    <style>
        .background-col-md{
            background-color: white;
            border: 2px solid #0c85d0;
            border-radius: 5px;
            margin: 7px;
        }

        .bg-ck{
            width: 20px;
            height: 100%;
            background-color: red;
            text-align: center;
            float: left;
        }
    </style>
</head>
<body>
<section layout:fragment="main" class="content">
    <div class="breadcomb-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="breadcomb-list">
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-wp">
                                    <div class="breadcomb-icon">
                                        <i class="notika-icon notika-form"></i>
                                    </div>
                                    <div class="breadcomb-ctn">
                                        <h2>MBKM Form</h2>
                                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-report">
                                    <a th:href="@{/study/krs}">
                                        <button class="btn btn-primary"><i class="fa fa-arrow-circle-left"></i> Back</button>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="bounceIn">
            <div class="row" th:if="${sksLebih != null}">
                <div class="col-md-12 col-xs-12">
                    <div class="alert alert-danger">
                        Maksimal 24 SKS!
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6 col-xs-12">
                    <div class="alert alert-info" role="alert">
                        Jumlah batas maksimal SKS 24 !
                    </div>
                </div>

                <div class="col-md-6 col-xs-12">
                    <div class="alert alert-info" role="alert" th:text="${'Jumlah SKS yang telah diambil ' + sks}">
                        Jumlah SKS  21 !
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="normal-table-list mg-t-30">
                        <div class="basic-tb-hd">
                            <h2>Data matakuliah yang sudah diambil </h2>
                        </div>
                        <div class="bsc-tbl-st">
                            <table class="table table-striped">
                                <thead class="thead-light">
                                <tr>
                                    <th>Kode MK</th>
                                    <th>Nama Mata Kuliah</th>
                                    <th>SKS</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="data : ${listMatkulDiambil}">
                                    <td  th:text="${data.matakuliahKurikulum.matakuliah.kodeMatakuliah}">AEM1101</td>
                                    <td  th:text="${data.matakuliahKurikulum.matakuliah.namaMatakuliah}">Dirasah Islamiah</td>
                                    <td  th:text="${data.matakuliahKurikulum.jumlahSks}"><b>3</b></td>
                                    <td>
                                        <form th:action="@{/study/mbkm/delete(matakuliahMbkm = ${data.id})}" method="post">
                                            <button type="submit" class="btn btn-danger waves-effect" data-toggle="tooltip" data-placement="bottom" title="" data-original-title="Hapus">
                                                <i class="fa fa-trash"></i>
                                            </button>
                                        </form>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <form method="post" th:action="@{/study/mbkm/input}">
                        <input type="hidden" name="mahasiswa" th:value="${mhs.id}">
                        <div class="normal-table-list mg-t-30">
                            <div class="basic-tb-hd">
                                <h2>Data MBKM</h2>
                            </div>
                            <div class="bsc-tbl-st">
                                <table id="data-table-basic" class="table table-striped">
                                    <thead class="thead-light">
                                    <tr>
                                        <th>Kode MK</th>
                                        <th>Nama Mata Kuliah</th>
                                        <th>SKS</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data : ${listMatkul}">
                                        <td  th:text="${data[1]}">AEM1101</td>
                                        <td  th:text="${data[2]}">Dirasah Islamiah</td>
                                        <td  th:text="${data[4]}"><b>3</b></td>
                                        <td>
                                            <div class="text-center" >
                                                <input type="checkbox" class="select-check" name="matkul" th:value="${data[0]}">
                                            </div>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="row">
                                <div class="col-md-12 text-center">
                                    <button style="margin-bottom: 20px;" type="submit" class="mb-5 btn btn-success btn-sm"> Simpan</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
</body>
</html>